com.ihr.xbrl.pojo

## Class XBRLFactProperty

- java.lang.Object
- - com.ihr.xbrl.pojo.XBRLFactProperty

- All Implemented Interfaces:
    HasId, java.io.Serializable
  Direct Known Subclasses:
    XBRLFactDimensionalProperty

      public class XBRLFactProperty
      extends java.lang.Object
      implements java.io.Serializable, HasId

  This is contextual information of a fact item. The information on this table is already stored on other tables but it will be referenced from here and permanently stored in order to accelerate queries retrieving information that is heavily based on dimensions.

  There is a hierarchy of classes defined from here. This is the base class.

  The base class allows for storing any property kind into the database. this is, the raw fragment that serves as the container for the entire property semantics. This node can be processed further to obtain more detailed information such as the dimension name and dimension value depending on the dimension type.

  Author:
    Ignacio
  See Also:
    `XBRLFactDimensionalProperty`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONTAINER_SCENARIO` The parent node of the value node is the context entity scenario.
    `static int` | `CONTAINER_SEGMENT` The parent node of the value node is the context segment.
    `static int` | `PROPERTY_TYPE_EXPLICIT` Indicates the property value is a QName (Dimension value).
    `static int` | `PROPERTY_TYPE_TYPED` Indicates the property value is an XML node (Dimension value).
    `static int` | `PROPERTY_TYPE_XML` Indicates the property value is an XML node.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLFactProperty()` Instantiates a new XBRL fact property.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Integer` | `getContainer()` Gets the container.
    `XBRLContext` | `getContext()` Gets the context.
    `XBRLFactItem` | `getFact()` Gets the fact.
    `java.lang.Long` | `getId()` Get access to the object ID in which is unique.
    `java.lang.Integer` | `getType()` Gets the type.
    `XMLFragment` | `getValue()` Gets the value.
    `int` | `hashCode()` This is the java hashCode method.
    `void` | `setContainer(java.lang.Integer container)` Sets the container.
    `void` | `setContext(XBRLContext context)` Sets the context.
    `void` | `setFact(XBRLFactItem fact)` Sets the fact.
    `void` | `setHash(java.lang.Integer value)` Method used by hibernate to set the value.
    `void` | `setId(java.lang.Long id)` Sets the object ID.
    `void` | `setType(java.lang.Integer type)` Sets the type.
    `void` | `setValue(XMLFragment value)` Sets the value.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_TYPE_XML

          public static final int PROPERTY_TYPE_XML

      Indicates the property value is an XML node.
      See Also:
        Constant Field Values

    - #### PROPERTY_TYPE_EXPLICIT

          public static final int PROPERTY_TYPE_EXPLICIT

      Indicates the property value is a QName (Dimension value).
      See Also:
        Constant Field Values

    - #### PROPERTY_TYPE_TYPED

          public static final int PROPERTY_TYPE_TYPED

      Indicates the property value is an XML node (Dimension value).
      See Also:
        Constant Field Values

    - #### CONTAINER_SEGMENT

          public static final int CONTAINER_SEGMENT

      The parent node of the value node is the context segment.
      See Also:
        Constant Field Values

    - #### CONTAINER_SCENARIO

          public static final int CONTAINER_SCENARIO

      The parent node of the value node is the context entity scenario.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XBRLFactProperty

          public XBRLFactProperty()

      Instantiates a new XBRL fact property.

  - ### Method Detail

    - #### getId

          public java.lang.Long getId()

      Description copied from interface: `HasId`
      Get access to the object ID in which is unique.
      Specified by:
        `getId` in interface `HasId`
      Returns:
        Long

    - #### setId

          public void setId(java.lang.Long id)

      Description copied from interface: `HasId`
      Sets the object ID. Used by Hibernate during object serialization
      Specified by:
        `setId` in interface `HasId`
      Parameters:
        `id` - the new id

    - #### getType

          public java.lang.Integer getType()

      Gets the type.
      Returns:
        the type

    - #### setType

          public void setType(java.lang.Integer type)

      Sets the type.
      Parameters:
        `type` - the type to set

    - #### getValue

          public XMLFragment getValue()

      Gets the value.
      Returns:
        the value

    - #### setValue

          public void setValue(XMLFragment value)

      Sets the value.
      Parameters:
        `value` - the value to set

    - #### getContext

          public XBRLContext getContext()

      Gets the context.
      Returns:
        the context

    - #### setContext

          public void setContext(XBRLContext context)

      Sets the context.
      Parameters:
        `context` - the context to set

    - #### getFact

          public XBRLFactItem getFact()

      Gets the fact.
      Returns:
        the fact

    - #### setFact

          public void setFact(XBRLFactItem fact)

      Sets the fact.
      Parameters:
        `fact` - the fact to set

    - #### getContainer

          public java.lang.Integer getContainer()

      Gets the container.
      Returns:
        the container

    - #### setContainer

          public void setContainer(java.lang.Integer container)

      Sets the container.
      Parameters:
        `container` - the container to set

    - #### hashCode

          public int hashCode()

      This is the java hashCode method.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        int

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### setHash

          public void setHash(java.lang.Integer value)

      Method used by hibernate to set the value.
      Parameters:
        `value` - the new hash